<script lang="ts" setup>
import { useUserStore } from '@/stores/user'

const userStore = useUserStore()
const userInfo = ref<any>({})
userInfo.value = userStore.user

const emits = defineEmits(['click'])
const handleClick = (item: any) => {
  emits('click', item)
}
</script>

<template>
  <div class="flex" style="height: 100%">
    <org-list @click="handleClick"></org-list>
    <div class="flex-grow bg-white ml-[16px] h-full overflow-y-auto">
      <slot></slot>
    </div>
  </div>
</template>

<style lang="scss" scoped></style>
